petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscOptionsGetBoolArray

Gets an array of Logical (true or false) values for a particular option in the database. The values must be separated with commas with no intervening spaces.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsGetBoolArray(PetscOptions options,const char pre[],const char name[],PetscBool dvalue[],PetscInt *nmax,PetscBool  *set)

Not Collective

### Input Parameters

| options | - options database use NULL for default global database
| pre | - string to prepend to each name or NULL
| name | - the option one is seeking
| nmax | - maximum number of values to retrieve

### Output Parameter

| dvalue | - the integer values to return
| nmax | - actual number of values retreived
| set | - PETSC_TRUE if found, else PETSC_FALSE

### Notes

TRUE, true, YES, yes, nostring, and 1 all translate to PETSC_TRUE FALSE, false, NO, no, and 0 all translate to PETSC_FALSE

### See Also

PetscOptionsGetInt(), PetscOptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages